com.ihr.xbrl.om.formula.aspects

## Class DimensionCommonAspectRule

- java.lang.Object
- - com.ihr.xbrl.om.formula.aspects.CommonAspectRule
  - - com.ihr.xbrl.om.formula.aspects.DimensionCommonAspectRule

- Direct Known Subclasses:
    DimensionExplicitRule, DimensionTypedRule

      public class DimensionCommonAspectRule
      extends CommonAspectRule

  The Class DimensionCommonAspectRule.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `ALLDIMENSIONALASPECTS, ALLNONDIMENSIONALASPECTS, ANY, COMPLETESCENARIO, COMPLETESEGMENT, CONCEPT, DIMENSION, ENTITYIDENTIFIER, LOCATION, NONE, NONXDTSCENARIO, NONXDTSEGMENT, PERIOD, UNIT, VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionCommonAspectRule(int dimensionType, XBRLFormula formula, net.sf.saxon.s9api.XdmNode aspectNode)` Instantiates a new dimension common aspect rule.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `getDimension()` Gets the dimension.

    - ### Methods inherited from class com.ihr.xbrl.om.formula.aspects.CommonAspectRule

      `getAspectsText`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionCommonAspectRule

          public DimensionCommonAspectRule(int dimensionType,
                                   XBRLFormula formula,
                                   net.sf.saxon.s9api.XdmNode aspectNode)
                                    throws XFxbrlfeIllegalUseOfUncoveredQName

      Instantiates a new dimension common aspect rule.
      Parameters:
        `dimensionType` - the dimension type
        `formula` - the formula
        `aspectNode` - the aspect node
      Throws:
        `XFxbrlfeIllegalUseOfUncoveredQName` - the x fxbrlfe illegal use of uncovered q name

  - ### Method Detail

    - #### getDimension

          public javax.xml.namespace.QName getDimension()

      Gets the dimension.
      Returns:
        the dimension